org.appng.appngizer.model

## Class Role

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Role
      - - org.appng.appngizer.model.Role

- All Implemented Interfaces:
    UriAware

      public class Role
      extends Role
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Role

      `application, description, permissions`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Role()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyUriComponents(org.springframework.web.util.UriComponentsBuilder builder)`
    `static Role` | `fromDomain(Role roleImpl)`
    `static RoleImpl` | `toDomain(Role r)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Role

      `getApplication, getDescription, getPermissions, setApplication, setDescription, setPermissions`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Role

          public Role()

  - ### Method Detail

    - #### toDomain

          public static RoleImpl toDomain(Role r)

    - #### fromDomain

          public static Role fromDomain(Role roleImpl)

    - #### applyUriComponents

          public void applyUriComponents(org.springframework.web.util.UriComponentsBuilder builder)

      Specified by:
        `applyUriComponents` in interface `UriAware`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.